+++
title = 'Projects'
type = 'projects'
+++

{{< project img="/images/weekly_weather_logo.webp" title="Weekly Weather" url="https://repo.codeskraps.com/codeskraps/Weekly-Weather" >}}
A clean, intuitive interface for viewing weather forecasts. Weekly Weather provides detailed weekly forecasts for your current location or saved favorite places.

### Features
- View detailed weekly weather forecasts
- Automatically detect current location
- Search and save favorite locations for quick access
- Custom naming for GPS locations
- Available in 37 languages
- Lightweight and battery-efficient

<div style="display: flex !important; flex-wrap: wrap !important; gap: 1rem !important; justify-content: center !important; margin: 2rem 0 !important;">
  <div style="flex: 1 !important; max-width: 180px !important; min-width: 120px !important;">
    <img src="/images/weekly_weather/screenshot1.png" alt="Weather forecast screen" style="display: block !important; width: 100% !important; height: auto !important; border-radius: 8px !important; border: 1px solid #ddd !important; box-shadow: 0 2px 5px rgba(0,0,0,0.1) !important;">
  </div>
  <div style="flex: 1 !important; max-width: 180px !important; min-width: 120px !important;">
    <img src="/images/weekly_weather/screenshot2.png" alt="Location selection screen" style="display: block !important; width: 100% !important; height: auto !important; border-radius: 8px !important; border: 1px solid #ddd !important; box-shadow: 0 2px 5px rgba(0,0,0,0.1) !important;">
  </div>
  <div style="flex: 1 !important; max-width: 180px !important; min-width: 120px !important;">
    <img src="/images/weekly_weather/screenshot3.png" alt="Weather details screen" style="display: block !important; width: 100% !important; height: auto !important; border-radius: 8px !important; border: 1px solid #ddd !important; box-shadow: 0 2px 5px rgba(0,0,0,0.1) !important;">
  </div>
</div>

Weather data provided by [Open-Meteo](https://open-meteo.com/) with weather icons from [Makin-Things/weather-icons](https://github.com/Makin-Things/weather-icons).
{{< /project >}}

{{< project img="/images/sbrowser_logo.webp" title="sBrowser" url="https://repo.codeskraps.com/codeskraps/sBrowser" >}}
A simple yet powerful Internet browser for Android devices. Originally developed for teaching purposes in a workshop at 091 Labs, it has evolved into a feature-rich yet lightweight browsing solution.

### Features
- Ad-blocking functionality
- Bookmark management with thumbnails
- HTML5 video support
- Customizable user agent
- Privacy-focused with encrypted search options
- Material Design user interface
- Support for HTTPS

Latest version: 3.4 (2024) - Updated with modern Android architecture, Material 3 design, and improved performance and stability.
{{< /project >}}
